#include "stdio.h"
#include "stdlib.h"
#include "unistd.h"    
#include "sys/ioctl.h"
#include "fcntl.h"     
#include "asm/etraxgpio.h"

int main(int c, char **v) 
{
   
     int fd;
     int i;
     int iomask;
   
     if ((fd = open("/dev/gpioa", O_RDWR))<0) 
     {
	    printf("Open error on /dev/gpioa\n");
	    exit(-1);
     }
   
   
     iomask=1<<3;
   printf("Blinking LED %i\n", iomask);
   
     for (i=0;i<20;i++) 
     {
	
	    printf("Led ON\n");
	    ioctl(fd,_IO(ETRAXGPIO_IOCTYPE,IO_SETBITS),iomask);
	    sleep(1);
	
	    printf("Led OFF\n");
	    ioctl(fd,_IO(ETRAXGPIO_IOCTYPE,IO_CLRBITS),iomask);
	    sleep(1);
     }
   
     close(fd);
     exit(0);
}
